Subject: Re: bug#54961: 28.1; info-display-manual completions issues

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 16 Apr 2022 16:38:33 +0200

Howard Melman <[email-masked]> writes:

> First, they include manuals named "./" and "../" which
> shouldn't be there.
>
> Second I seem to see duplicates, if I complete with input
> "emacs" I see candidates "emacs" and "emacs.info.gz" and
> similar duplicates for emacs-mime and emacs-gnutls, so 3
> candidates show as 6.  This may be an artifact of the
> macport build I'm using.  It happens from emacs -q and I
> can't easily test on vanilla gnu emacs.

I've now fixed this in Emacs 29.

> Third it would be really nice if there were an
> affixation-function that added the one line description of
> the manual for a completions framework to show when
> completions-detailed is t.  Perhaps it could get the info
> from Info-dir-contents?

But I'm not sure how to fix this in a scalable way.  Info-dir-contents
may not exist, and may include fewer info files than what we want to
have in this prompt, I think?  And as previously noted, I think it'd
just be too slow to look in every file (I've got 133 files now, down
from 300 before filtering duplicates)..

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no